Redmine - Feature #5901

REST API to expose the Redmine version
2010-07-18 18:17 - Eric Davis

Status: New Start date: 2010-07-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

After reading Alexey Skor's forum post about the APl versions, | think it would make 3rd party development easier if Redmine had a
REST API method to find out what version of Redmine the server is running.

That way a client can check to see if the server supports the API requests it needs (e.g. 1.0+ has an issues API, 0.9 doesn't).

Thoughts?

Related issues:

Related to Redmine - Feature #5977: "check status” feature to verify validity... New 2010-07-27
Related to Redmine - Feature #794: Restrict display of version number in footer Closed 2008-03-06
Has duplicate Redmine - Feature #8145: APl: Redmine version Closed 2011-04-14
Has duplicate Redmine - Feature #33612: Expose repository version via REST API Closed

History

#1 - 2010-07-18 18:20 - Jean-Baptiste Barth

Agreed, it's a must-have.

#2 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

| am stepping down from working on Redmine. If someone else is interesting in working on this issue, feel free to reassign it to them.
Eric Davis

#3 - 2010-11-29 21:44 - Alex Last
- File redmine_config_dialog.png added

this would be a very useful feature for my application. | could add a "ping" button to "Redmine server" dialog and show if the server is
1) up and running

2) has REST API enabled

3) the server version info

2025-05-01 1/3



http://www.redmine.org/boards/4/topics/15631

8 | Redmine: properties uﬂlﬂ—hj

Configure Redmine connection properiies

(1) Sore default text. Override getDialogDescriptionText() method to change it.

Title: bemn data from hostedredmine.com
Host: https://www.hostedredmine.com

APl access key:

Project key: taskconnector-test

:
Query ID: 30

Save tasks ID's provided by the other connector. Required for 'update task' cperations

0K ] I Cancel

#4 - 2011-06-14 17:15 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2013-10-22 06:21 - Ivan Cenov

+1

#6 - 2014-04-23 00:41 - André Jonsson

Or even better, an API to request what API resources are supported by the server.
Calling it would return a list similar to the table on the page Rest_api, primarily the "resource" and "status" columns.

Perhaps a separate issue...

#7 - 2014-07-10 15:27 - Go MAEDA

Displaying a version number was disabled because of security concerns since Redmine 0.8(#794). | think it should not be exposed through REST API
for the same reason.

#8 - 2015-02-25 10:14 - Nicolas Rodriguez

I think it should not be exposed through REST API for the same reason.

Even after authentication via API token?

#9 - 2015-03-11 20:17 - Alex Last

Redmine 3.x broke backward compatibility again - the date format used by it is different from Redmine 2.6.2:

From redmine 2.6.0: "updated_on":"2015-01-23T00:15:24Z2"
From redmine 3.0.0: "updated_on":"2015-01-29T710:06:19.000Z"

one of our users submitted this bug report: https:/github.com/taskadapter/redmine-java-api/pull/175

if we could query Redmine to see its version, we could pick the right date format instead of guessing... now we will have to check "are there 3 more
digits after this and before that?"..

another (actually better!) option would be querying Redmine to see what date format it uses for long dates and short dates - because this is what the
library actually cares about. | will submit this as a separate feature request.

#10 - 2015-03-11 20:22 - Alex Last

submitted: http://www.redmine.org/issues/19354

#11 - 2015-03-13 05:56 - Alex Last

another example: | see 'spent_hours' default value for new issues created through REST API is NULL for Redmine 3.0.0 and is equal to "0.0" for
Redmine 2.6.2.

there is no way for the java api library to detect the Redmine version (well, unless we start parsing 'redmine/admin/info' HTML page, which is definitely
not what we want to do).
https://www.redmine.org/projects/redmine/wiki/Rest_api
https://www.redmine.org/issues/794
https://github.com/taskadapter/redmine-java-api/pull/175
http://www.redmine.org/issues/19354

#12 - 2015-03-13 09:07 - Go MAEDA

- Related to Feature #794: Restrict display of version number in footer added

#13 - 2015-11-17 04:26 - shadowbq -

Not the best route implementation, but will bridge the gap for people that dont want to wait another five years..

https://www.redmine.org/plugins/redmine_info_api

https://github.com/shadowbg/redmine_info_api

1. Download plugin

2. Extract to your Redmine into vendor/plugins/redmine_info_api
3. Restart web server

4. request with admin user & basic auth https:/redmine.example.com/adminapi/info.json

#14 - 2020-06-27 07:50 - Go MAEDA
- Has duplicate Feature #33612: Expose repository version via REST API added
